package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.diagbot.dto.LibraryDTO;
import com.diagbot.dto.MedicalDTO;
import com.diagbot.dto.TypeDTO;
import com.diagbot.entity.Medical;
import com.diagbot.mapper.MedicalMapper;
import com.diagbot.service.MedicalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.TypeVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-16
 */
@Service
public class MedicalServiceImpl extends ServiceImpl<MedicalMapper, Medical> implements MedicalService {
    @Override
    public IPage<MedicalDTO> getAllMedicalInfo(Page page, MedicalDTO medicalDTO) {
        return baseMapper.getAllMedicalInfo(page, medicalDTO);
    }

    /*
    @Override
    public List<Medical> getMedicalInfo(LibraryDTO libraryDTO) {
        return baseMapper.getMedicalInfo(libraryDTO);
    }
    */

    @Override
    public List<TypeDTO> getTypeId(TypeVo typeVo) { return baseMapper.getTypeId(typeVo); }

    @Override
    public List<Medical> getLimboItems() { return baseMapper.getLimboItems(); }

    @Override
    public void truncateMedical() { baseMapper.truncateMedical(); }
}
